## org.eclipse.jst.jsf.facesconfig.emf
Interface FactoryType

All Known Implementing Classes:
  FactoryTypeImpl

    public interface FactoryType

A representation of the model object 'Factory Type'.

The following features are supported:

- `Application Factory`
- `Exception Handler Factory`
- `External Context Factory`
- `Faces Context Factory`
- `Partial View Context Factory`
- `Lifecycle Factory`
- `View Declaration Language Factory`
- `Tag Handler Delegate Factory`
- `Render Kit Factory`
- `Visit Context Factory`
- `Factory Extension`
- `Id`

See Also:
  `FacesConfigPackage.getFactoryType()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`EList` `getApplicationFactory()` Returns the value of the 'Application Factory' containment reference list.
`EList` `getExceptionHandlerFactory()` Returns the value of the 'Exception Handler Factory' containment reference list.
`EList` `getExternalContextFactory()` Returns the value of the 'External Context Factory' containment reference list.
`EList` `getFacesContextFactory()` Returns the value of the 'Faces Context Factory' containment reference list.
`EList` `getFactoryExtension()` Returns the value of the 'Factory Extension' reference list.
`java.lang.String` `getId()` Returns the value of the 'Id' attribute
`EList` `getLifecycleFactory()` Returns the value of the 'Lifecycle Factory' containment reference list.
`EList` `getPartialViewContextFactory()` Returns the value of the 'Partial View Context Factory' containment reference list.
`EList` `getRenderKitFactory()` Returns the value of the 'Render Kit Factory' containment reference list.
`EList` `getTagHandlerDelegateFactory()` Returns the value of the 'Tag Handler Delegate Factory' containment reference list.
`EList` `getViewDeclarationLanguageFactory()` Returns the value of the 'View Declaration Language Factory' containment reference list.
`EList` `getVisitContextFactory()` Returns the value of the 'Visit Context Factory' containment reference list.
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getApplicationFactory

    EList getApplicationFactory()

  Returns the value of the 'Application Factory' containment reference list. The list contents are of type `ApplicationFactoryType`.

  If the meaning of the 'Application Factory' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Application Factory' containment reference list.
  See Also:
    `FacesConfigPackage.getFactoryType_ApplicationFactory()`

### getExceptionHandlerFactory

    EList getExceptionHandlerFactory()

  Returns the value of the 'Exception Handler Factory' containment reference list. The list contents are of type `ExceptionHandlerFactoryType`.

  If the meaning of the 'Exception Handler Factory' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Exception Handler Factory' containment reference list.
  See Also:
    `FacesConfigPackage.getFactoryType_ExceptionHandlerFactory()`

### getExternalContextFactory

    EList getExternalContextFactory()

  Returns the value of the 'External Context Factory' containment reference list. The list contents are of type `ExternalContextFactoryType`.

  If the meaning of the 'External Context Factory' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'External Context Factory' containment reference list.
  See Also:
    `FacesConfigPackage.getFactoryType_ExternalContextFactory()`

### getFacesContextFactory

    EList getFacesContextFactory()

  Returns the value of the 'Faces Context Factory' containment reference list. The list contents are of type `FacesContextFactoryType`.

  If the meaning of the 'Faces Context Factory' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Faces Context Factory' containment reference list.
  See Also:
    `FacesConfigPackage.getFactoryType_FacesContextFactory()`

### getPartialViewContextFactory

    EList getPartialViewContextFactory()

  Returns the value of the 'Partial View Context Factory' containment reference list. The list contents are of type `PartialViewContextFactoryType`.

  If the meaning of the 'Partial View Context Factory' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Partial View Context Factory' containment reference list.
  See Also:
    `FacesConfigPackage.getFactoryType_PartialViewContextFactory()`

### getLifecycleFactory

    EList getLifecycleFactory()

  Returns the value of the 'Lifecycle Factory' containment reference list. The list contents are of type `LifecycleFactoryType`.

  If the meaning of the 'Lifecycle Factory' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Lifecycle Factory' containment reference list.
  See Also:
    `FacesConfigPackage.getFactoryType_LifecycleFactory()`

### getViewDeclarationLanguageFactory

    EList getViewDeclarationLanguageFactory()

  Returns the value of the 'View Declaration Language Factory' containment reference list. The list contents are of type `ViewDeclarationLanguageFactoryType`.

  If the meaning of the 'View Declaration Language Factory' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'View Declaration Language Factory' containment reference list.
  See Also:
    `FacesConfigPackage.getFactoryType_ViewDeclarationLanguageFactory()`

### getTagHandlerDelegateFactory

    EList getTagHandlerDelegateFactory()

  Returns the value of the 'Tag Handler Delegate Factory' containment reference list. The list contents are of type `TagHandlerDelegateFactoryType`.

  If the meaning of the 'Tag Handler Delegate Factory' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Tag Handler Delegate Factory' containment reference list.
  See Also:
    `FacesConfigPackage.getFactoryType_TagHandlerDelegateFactory()`

### getRenderKitFactory

    EList getRenderKitFactory()

  Returns the value of the 'Render Kit Factory' containment reference list. The list contents are of type `RenderKitFactoryType`.

  If the meaning of the 'Render Kit Factory' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Render Kit Factory' containment reference list.
  See Also:
    `FacesConfigPackage.getFactoryType_RenderKitFactory()`

### getVisitContextFactory

    EList getVisitContextFactory()

  Returns the value of the 'Visit Context Factory' containment reference list. The list contents are of type `VisitContextFactoryType`.

  If the meaning of the 'Visit Context Factory' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Visit Context Factory' containment reference list.
  See Also:
    `FacesConfigPackage.getFactoryType_VisitContextFactory()`

### getFactoryExtension

    EList getFactoryExtension()

  Returns the value of the 'Factory Extension' reference list. The list contents are of type `FactoryExtensionType`.

  If the meaning of the 'Factory Extension' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Factory Extension' reference list.
  See Also:
    `FacesConfigPackage.getFactoryType_FactoryExtension()`

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute.

  If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `FacesConfigPackage.getFactoryType_Id()`

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`